package eu.eudat.depositinterface.dummyrepository;

import eu.eudat.depositinterface.models.DMPDepositModel;
import eu.eudat.depositinterface.repository.RepositoryDeposit;
import eu.eudat.depositinterface.repository.RepositoryDepositConfiguration;
import org.springframework.stereotype.Component;

import static eu.eudat.depositinterface.repository.RepositoryDepositConfiguration.DepositAccountStatus.BothWaysDeposit;

@Component
public class TestDummy implements RepositoryDeposit {
    @Override
    public String deposit(DMPDepositModel dmpDepositModel, boolean update, String repositoryAccessToken) throws Exception {
        return "test2";
    }

    @Override
    public RepositoryDepositConfiguration getConfiguration() {
        RepositoryDepositConfiguration conf = new RepositoryDepositConfiguration();
        conf.setRepositoryId("Dummy");
        conf.setDepositAccountStatus(BothWaysDeposit.getValue());
        return conf;
    }

    @Override
    public String authenticate(String code) {
        return "accessToken";
    }
}